//
//  ONSLFontManager.h
//  ONSLauncher
//
//  Created by tmkk on Thu Mar 09 2006.
//  Copyright (c) 2006 tmkk. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface ONSLFontManager : NSObject {
	NSMutableArray *fontArr;
}

- (void)addNewFont:(NSString *)name path:(NSString *)path;
- (void)editFont:(NSString *)name newName:(NSString *)newName newPath:(NSString *)newPath;
- (void)removeFont:(NSString *)name;
- (NSString *)fontNamed:(NSString *)name;
- (NSString *)fontNameAtIndex:(int)idx;
- (NSArray *)fontNames;
- (int)numberOfFonts;
- (id)saveFontList;
- (void)loadFontList:(id)list;
@end
